# Services (Operations)

Endpoints to create, update and read operative service jobs.

## List linked service jobs

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read operative service jobs.","name":"Services (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LinkedServiceJobsOrderBy":{"description":"Attribute to order linked service jobs by","enum":["LAST_MODIFIED_ASC","LAST_MODIFIED_DESC","TARGET_TIME_ASC","TARGET_TIME_DESC"],"type":"string","xml":{"name":"LinkedServiceJobsOrderBy"},"title":"LinkedServiceJobsOrderBy"},"LinkedServiceJobsFilterChannel":{"enum":["COLLECT","SHIPPING"],"type":"string","xml":{"name":"LinkedServiceJobsFilterChannel"},"title":"LinkedServiceJobsFilterChannel","description":"LinkedServiceJobsFilterChannel"},"LinkedServiceJobsResult":{"additionalProperties":false,"properties":{"linkedServiceJobs":{"items":{"$ref":"#/components/schemas/LinkedServiceJobsWithSearchPaths"},"type":"array"},"total":{"minimum":0,"type":"object"}},"required":["total","linkedServiceJobs"],"type":"object","title":"LinkedServiceJobsResult","description":"LinkedServiceJobsResult"},"LinkedServiceJobsWithSearchPaths":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/LinkedServiceJobs"}],"properties":{"searchPaths":{"items":{"type":"string"},"type":"array"}},"required":["searchPaths"],"title":"LinkedServiceJobsWithSearchPaths","description":"LinkedServiceJobsWithSearchPaths"},"LinkedServiceJobs":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"facilityRef":{"description":"Id linked Facility from the includes service jobs","type":"string"},"fullIdentifier":{"description":"Full identifier of the service job. Using the full name of the customer when created from an order.","type":"string"},"id":{"type":"string"},"includedServiceJobLinkIds":{"description":"searchable field of all included service job link ids","items":{"type":"string"},"minItems":1,"type":"array"},"includedServiceJobRefs":{"description":"searchable field of all included service job ids","items":{"type":"string"},"minItems":1,"type":"array"},"operativeProcessRef":{"type":"string"},"processRef":{"description":"ProcessRef of the added ServiceJobs. All Service Jobs need to be part of the same process","type":"string"},"serviceJobLinks":{"items":{"$ref":"#/components/schemas/ServiceJobLink"},"minItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/LinkedServiceJobsStatus"},"targetTime":{"format":"date-time","type":"string"},"usersModificationHistory":{"items":{"$ref":"#/components/schemas/UserModificationHistory"},"type":"array"}},"required":["id","serviceJobLinks","processRef","facilityRef","includedServiceJobLinkIds","includedServiceJobRefs","status","targetTime"],"title":"LinkedServiceJobs","description":"LinkedServiceJobs"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ServiceJobLink":{"additionalProperties":false,"properties":{"id":{"type":"string"},"nextServiceJobLinks":{"items":{"$ref":"#/components/schemas/ServiceJobLink"},"minItems":0,"type":"array"},"previousServiceJobLinkRefs":{"description":"id of the created previous service job links","items":{"type":"string"},"maxItems":1,"minItems":0,"type":"array"},"previousServiceJobRefs":{"items":{"type":"string"},"maxItems":1,"minItems":0,"type":"array"},"serviceJobRef":{"type":"string"}},"required":["id","serviceJobRef","previousServiceJobRefs","previousServiceJobLinkRefs","nextServiceJobLinks"],"title":"ServiceJobLink","description":"ServiceJobLink"},"LinkedServiceJobsStatus":{"enum":["OPEN","IN_PROGRESS","FINISHED","CANCELLED","OBSOLETE","NOT_READY"],"type":"string","title":"LinkedServiceJobsStatus","description":"LinkedServiceJobsStatus"},"UserModificationHistory":{"additionalProperties":false,"properties":{"modificationDate":{"format":"date-time","type":"string"},"userId":{"description":"ID of the user who commited this modification","type":"string"},"username":{"description":"Username of the user who commited this modification","type":"string"}},"required":["modificationDate","username"],"type":"object","title":"UserModificationHistory","description":"UserModificationHistory"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/linkedservicejobs":{"get":{"operationId":"getLinkedServiceJobs","parameters":[{"description":"all entities after given Id","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"number of entities to show","in":"query","name":"size","required":false,"schema":{"default":25,"type":"integer"}},{"description":"facilities to filter to","in":"query","name":"facilityIds","required":false,"schema":{"items":{"type":"string"},"type":"array"}},{"description":"Reference to the statuses you want to get the corresponding linked service jobs","in":"query","name":"status","required":false,"schema":{"items":{"type":"string"},"type":"array"}},{"description":"sort order","in":"query","name":"orderBy","required":false,"schema":{"$ref":"#/components/schemas/LinkedServiceJobsOrderBy"}},{"description":"type of channel you want to filter for","in":"query","name":"channel","required":false,"schema":{"$ref":"#/components/schemas/LinkedServiceJobsFilterChannel"}},{"description":"Start target date range for linked service jobs","in":"query","name":"startTargetTime","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"End target date range for linked service jobs","in":"query","name":"endTargetTime","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"Search term you want to get the corresponding linked service jobs. Search will be performed on multiple fields, like tenantOrderId, consumerName, tenantArticleId and more","in":"query","name":"searchTerm","required":false,"schema":{"type":"string"}},{"description":"Reference to the username you want to get the corresponding linkedServiceJobs for","in":"query","name":"modifiedByUsername","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkedServiceJobsResult"}}},"description":"LinkedServiceJobs could be found in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List linked service jobs","tags":["Services (Operations)"],"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />"}}}}
```

## Get linked service jobs

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read operative service jobs.","name":"Services (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LinkedServiceJobs":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"facilityRef":{"description":"Id linked Facility from the includes service jobs","type":"string"},"fullIdentifier":{"description":"Full identifier of the service job. Using the full name of the customer when created from an order.","type":"string"},"id":{"type":"string"},"includedServiceJobLinkIds":{"description":"searchable field of all included service job link ids","items":{"type":"string"},"minItems":1,"type":"array"},"includedServiceJobRefs":{"description":"searchable field of all included service job ids","items":{"type":"string"},"minItems":1,"type":"array"},"operativeProcessRef":{"type":"string"},"processRef":{"description":"ProcessRef of the added ServiceJobs. All Service Jobs need to be part of the same process","type":"string"},"serviceJobLinks":{"items":{"$ref":"#/components/schemas/ServiceJobLink"},"minItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/LinkedServiceJobsStatus"},"targetTime":{"format":"date-time","type":"string"},"usersModificationHistory":{"items":{"$ref":"#/components/schemas/UserModificationHistory"},"type":"array"}},"required":["id","serviceJobLinks","processRef","facilityRef","includedServiceJobLinkIds","includedServiceJobRefs","status","targetTime"],"title":"LinkedServiceJobs","description":"LinkedServiceJobs"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ServiceJobLink":{"additionalProperties":false,"properties":{"id":{"type":"string"},"nextServiceJobLinks":{"items":{"$ref":"#/components/schemas/ServiceJobLink"},"minItems":0,"type":"array"},"previousServiceJobLinkRefs":{"description":"id of the created previous service job links","items":{"type":"string"},"maxItems":1,"minItems":0,"type":"array"},"previousServiceJobRefs":{"items":{"type":"string"},"maxItems":1,"minItems":0,"type":"array"},"serviceJobRef":{"type":"string"}},"required":["id","serviceJobRef","previousServiceJobRefs","previousServiceJobLinkRefs","nextServiceJobLinks"],"title":"ServiceJobLink","description":"ServiceJobLink"},"LinkedServiceJobsStatus":{"enum":["OPEN","IN_PROGRESS","FINISHED","CANCELLED","OBSOLETE","NOT_READY"],"type":"string","title":"LinkedServiceJobsStatus","description":"LinkedServiceJobsStatus"},"UserModificationHistory":{"additionalProperties":false,"properties":{"modificationDate":{"format":"date-time","type":"string"},"userId":{"description":"ID of the user who commited this modification","type":"string"},"username":{"description":"Username of the user who commited this modification","type":"string"}},"required":["modificationDate","username"],"type":"object","title":"UserModificationHistory","description":"UserModificationHistory"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/linkedservicejobs/{linkedServiceJobsId}":{"get":{"operationId":"getLinkedServiceJobsById","parameters":[{"description":"ID of LinkedServiceJobs you want to get","in":"path","name":"linkedServiceJobsId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkedServiceJobs"}}},"description":"LinkedServiceJobs could be found in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get linked service jobs","tags":["Services (Operations)"],"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />"}}}}
```

## Create service job link

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Add a ServiceJobLink to a LinkedServiceJob on root level.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read operative service jobs.","name":"Services (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ServiceJobLinkForAdding":{"additionalProperties":false,"properties":{"serviceJobRef":{"type":"string"}},"required":["serviceJobRef"],"title":"ServiceJobLinkForAdding","description":"ServiceJobLinkForAdding"},"LinkedServiceJobs":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"facilityRef":{"description":"Id linked Facility from the includes service jobs","type":"string"},"fullIdentifier":{"description":"Full identifier of the service job. Using the full name of the customer when created from an order.","type":"string"},"id":{"type":"string"},"includedServiceJobLinkIds":{"description":"searchable field of all included service job link ids","items":{"type":"string"},"minItems":1,"type":"array"},"includedServiceJobRefs":{"description":"searchable field of all included service job ids","items":{"type":"string"},"minItems":1,"type":"array"},"operativeProcessRef":{"type":"string"},"processRef":{"description":"ProcessRef of the added ServiceJobs. All Service Jobs need to be part of the same process","type":"string"},"serviceJobLinks":{"items":{"$ref":"#/components/schemas/ServiceJobLink"},"minItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/LinkedServiceJobsStatus"},"targetTime":{"format":"date-time","type":"string"},"usersModificationHistory":{"items":{"$ref":"#/components/schemas/UserModificationHistory"},"type":"array"}},"required":["id","serviceJobLinks","processRef","facilityRef","includedServiceJobLinkIds","includedServiceJobRefs","status","targetTime"],"title":"LinkedServiceJobs","description":"LinkedServiceJobs"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ServiceJobLink":{"additionalProperties":false,"properties":{"id":{"type":"string"},"nextServiceJobLinks":{"items":{"$ref":"#/components/schemas/ServiceJobLink"},"minItems":0,"type":"array"},"previousServiceJobLinkRefs":{"description":"id of the created previous service job links","items":{"type":"string"},"maxItems":1,"minItems":0,"type":"array"},"previousServiceJobRefs":{"items":{"type":"string"},"maxItems":1,"minItems":0,"type":"array"},"serviceJobRef":{"type":"string"}},"required":["id","serviceJobRef","previousServiceJobRefs","previousServiceJobLinkRefs","nextServiceJobLinks"],"title":"ServiceJobLink","description":"ServiceJobLink"},"LinkedServiceJobsStatus":{"enum":["OPEN","IN_PROGRESS","FINISHED","CANCELLED","OBSOLETE","NOT_READY"],"type":"string","title":"LinkedServiceJobsStatus","description":"LinkedServiceJobsStatus"},"UserModificationHistory":{"additionalProperties":false,"properties":{"modificationDate":{"format":"date-time","type":"string"},"userId":{"description":"ID of the user who commited this modification","type":"string"},"username":{"description":"Username of the user who commited this modification","type":"string"}},"required":["modificationDate","username"],"type":"object","title":"UserModificationHistory","description":"UserModificationHistory"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/linkedservicejobs/{linkedServiceJobsId}/servicejoblinks":{"post":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Add a ServiceJobLink to a LinkedServiceJob on root level.","operationId":"addServiceJobLink","parameters":[{"description":"ID of LinkedServiceJobs you want to alter","in":"path","name":"linkedServiceJobsId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceJobLinkForAdding"}}},"description":"Desired ServiceJobLink to add","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkedServiceJobs"}}},"description":"The ServiceJobLink was successfully added to the LinkedServiceJobs."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create service job link","tags":["Services (Operations)"]}}}}
```

## Create service job link

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Add a ServiceJobLink to a ServiceJobLink inside the LinkedServiceJob.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read operative service jobs.","name":"Services (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ServiceJobLinkForAdding":{"additionalProperties":false,"properties":{"serviceJobRef":{"type":"string"}},"required":["serviceJobRef"],"title":"ServiceJobLinkForAdding","description":"ServiceJobLinkForAdding"},"LinkedServiceJobs":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"facilityRef":{"description":"Id linked Facility from the includes service jobs","type":"string"},"fullIdentifier":{"description":"Full identifier of the service job. Using the full name of the customer when created from an order.","type":"string"},"id":{"type":"string"},"includedServiceJobLinkIds":{"description":"searchable field of all included service job link ids","items":{"type":"string"},"minItems":1,"type":"array"},"includedServiceJobRefs":{"description":"searchable field of all included service job ids","items":{"type":"string"},"minItems":1,"type":"array"},"operativeProcessRef":{"type":"string"},"processRef":{"description":"ProcessRef of the added ServiceJobs. All Service Jobs need to be part of the same process","type":"string"},"serviceJobLinks":{"items":{"$ref":"#/components/schemas/ServiceJobLink"},"minItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/LinkedServiceJobsStatus"},"targetTime":{"format":"date-time","type":"string"},"usersModificationHistory":{"items":{"$ref":"#/components/schemas/UserModificationHistory"},"type":"array"}},"required":["id","serviceJobLinks","processRef","facilityRef","includedServiceJobLinkIds","includedServiceJobRefs","status","targetTime"],"title":"LinkedServiceJobs","description":"LinkedServiceJobs"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ServiceJobLink":{"additionalProperties":false,"properties":{"id":{"type":"string"},"nextServiceJobLinks":{"items":{"$ref":"#/components/schemas/ServiceJobLink"},"minItems":0,"type":"array"},"previousServiceJobLinkRefs":{"description":"id of the created previous service job links","items":{"type":"string"},"maxItems":1,"minItems":0,"type":"array"},"previousServiceJobRefs":{"items":{"type":"string"},"maxItems":1,"minItems":0,"type":"array"},"serviceJobRef":{"type":"string"}},"required":["id","serviceJobRef","previousServiceJobRefs","previousServiceJobLinkRefs","nextServiceJobLinks"],"title":"ServiceJobLink","description":"ServiceJobLink"},"LinkedServiceJobsStatus":{"enum":["OPEN","IN_PROGRESS","FINISHED","CANCELLED","OBSOLETE","NOT_READY"],"type":"string","title":"LinkedServiceJobsStatus","description":"LinkedServiceJobsStatus"},"UserModificationHistory":{"additionalProperties":false,"properties":{"modificationDate":{"format":"date-time","type":"string"},"userId":{"description":"ID of the user who commited this modification","type":"string"},"username":{"description":"Username of the user who commited this modification","type":"string"}},"required":["modificationDate","username"],"type":"object","title":"UserModificationHistory","description":"UserModificationHistory"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/linkedservicejobs/{linkedServiceJobsId}/servicejoblinks/{serviceJobLinkId}":{"post":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Add a ServiceJobLink to a ServiceJobLink inside the LinkedServiceJob.","operationId":"addNestedServiceJobLink","parameters":[{"description":"ID of LinkedServiceJobs you want to alter","in":"path","name":"linkedServiceJobsId","required":true,"schema":{"type":"string"}},{"description":"ID of ServiceJobLink you want to add the new ServiceJobLink underneath","in":"path","name":"serviceJobLinkId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceJobLinkForAdding"}}},"description":"Desired ServiceJobLink to add","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkedServiceJobs"}}},"description":"The ServiceJobLink was successfully added nested inside the LinkedServiceJobs."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create service job link","tags":["Services (Operations)"]}}}}
```

## List linked service jobs (search)

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Search for LinkedServiceJobs

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read operative service jobs.","name":"Services (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"LinkedServiceJobsSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/LinkedServiceJobsSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/LinkedServiceJobsSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"LinkedServiceJobsSearchPayload","type":"object","description":"LinkedServiceJobsSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"LinkedServiceJobsSearchQuery":{"properties":{"additionalInformation":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by additionalInformation"},"and":{"items":{"$ref":"#/components/schemas/LinkedServiceJobsSearchQuery"},"maxItems":500,"type":"array"},"articleTitles":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by articleTitles"},"channel":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by channel"},"consumerName":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by consumerName"},"facilityRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by facilityRef"},"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"invoiceAddress":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by invoiceAddress"},"lastModified":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search by lastModified"},"linkedServiceJobRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by linkedServiceJobRef"},"or":{"items":{"$ref":"#/components/schemas/LinkedServiceJobsSearchQuery"},"maxItems":500,"type":"array"},"serviceName":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by serviceName"},"shippingAddress":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by shippingAddress"},"status":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by status"},"targetTime":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search by targetTime"},"tenantOrderId":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by tenantOrderId"},"usersModificationHistory":{"allOf":[{"$ref":"#/components/schemas/LinkedServiceJobsUsersModificationHistoryListFilter"}],"description":"Nested list search by usersModificationHistory"}},"title":"LinkedServiceJobsSearchQuery","type":"object","description":"LinkedServiceJobsSearchQuery"},"StringListFilter":{"properties":{"contains":{"$ref":"#/components/schemas/StringEqFilter"}},"title":"StringListFilter","type":"object","description":"StringListFilter"},"StringEqFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"}},"title":"StringEqFilter","type":"object","description":"StringEqFilter"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"StringSearchFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"like":{"description":"Search by regex pattern","maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringSearchFilter","type":"object","description":"StringSearchFilter"},"DateFilter":{"properties":{"after":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events after the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"before":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events before the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"eq":{"format":"date-time","type":"string"},"gt":{"format":"date-time","type":"string"},"gte":{"format":"date-time","type":"string"},"lt":{"format":"date-time","type":"string"},"lte":{"format":"date-time","type":"string"},"notEq":{"format":"date-time","type":"string"}},"title":"DateFilter","type":"object","description":"DateFilter"},"LinkedServiceJobsUsersModificationHistoryListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/LinkedServiceJobsUsersModificationHistoryFilter"}],"description":"Contains returns if at least one entry matches"}},"title":"LinkedServiceJobsUsersModificationHistoryListFilter","type":"object","description":"LinkedServiceJobsUsersModificationHistoryListFilter"},"LinkedServiceJobsUsersModificationHistoryFilter":{"properties":{"username":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by username"}},"title":"LinkedServiceJobsUsersModificationHistoryFilter","type":"object","description":"LinkedServiceJobsUsersModificationHistoryFilter"},"LinkedServiceJobsSort":{"properties":{"lastModified":{"enum":["ASC","DESC"],"type":"string"},"targetTime":{"enum":["ASC","DESC"],"type":"string"}},"title":"LinkedServiceJobsSort","type":"object","description":"LinkedServiceJobsSort"},"LinkedServiceJobsPaginatedResult":{"properties":{"linkedServiceJobs":{"items":{"$ref":"#/components/schemas/LinkedServiceJobs"},"type":"array"},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","linkedServiceJobs"],"title":"LinkedServiceJobsPaginatedResult","type":"object","description":"LinkedServiceJobsPaginatedResult"},"LinkedServiceJobs":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"facilityRef":{"description":"Id linked Facility from the includes service jobs","type":"string"},"fullIdentifier":{"description":"Full identifier of the service job. Using the full name of the customer when created from an order.","type":"string"},"id":{"type":"string"},"includedServiceJobLinkIds":{"description":"searchable field of all included service job link ids","items":{"type":"string"},"minItems":1,"type":"array"},"includedServiceJobRefs":{"description":"searchable field of all included service job ids","items":{"type":"string"},"minItems":1,"type":"array"},"operativeProcessRef":{"type":"string"},"processRef":{"description":"ProcessRef of the added ServiceJobs. All Service Jobs need to be part of the same process","type":"string"},"serviceJobLinks":{"items":{"$ref":"#/components/schemas/ServiceJobLink"},"minItems":1,"type":"array"},"status":{"$ref":"#/components/schemas/LinkedServiceJobsStatus"},"targetTime":{"format":"date-time","type":"string"},"usersModificationHistory":{"items":{"$ref":"#/components/schemas/UserModificationHistory"},"type":"array"}},"required":["id","serviceJobLinks","processRef","facilityRef","includedServiceJobLinkIds","includedServiceJobRefs","status","targetTime"],"title":"LinkedServiceJobs","description":"LinkedServiceJobs"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ServiceJobLink":{"additionalProperties":false,"properties":{"id":{"type":"string"},"nextServiceJobLinks":{"items":{"$ref":"#/components/schemas/ServiceJobLink"},"minItems":0,"type":"array"},"previousServiceJobLinkRefs":{"description":"id of the created previous service job links","items":{"type":"string"},"maxItems":1,"minItems":0,"type":"array"},"previousServiceJobRefs":{"items":{"type":"string"},"maxItems":1,"minItems":0,"type":"array"},"serviceJobRef":{"type":"string"}},"required":["id","serviceJobRef","previousServiceJobRefs","previousServiceJobLinkRefs","nextServiceJobLinks"],"title":"ServiceJobLink","description":"ServiceJobLink"},"LinkedServiceJobsStatus":{"enum":["OPEN","IN_PROGRESS","FINISHED","CANCELLED","OBSOLETE","NOT_READY"],"type":"string","title":"LinkedServiceJobsStatus","description":"LinkedServiceJobsStatus"},"UserModificationHistory":{"additionalProperties":false,"properties":{"modificationDate":{"format":"date-time","type":"string"},"userId":{"description":"ID of the user who commited this modification","type":"string"},"username":{"description":"Username of the user who commited this modification","type":"string"}},"required":["modificationDate","username"],"type":"object","title":"UserModificationHistory","description":"UserModificationHistory"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/linkedservicejobs/search":{"post":{"deprecated":false,"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Search for LinkedServiceJobs","operationId":"searchLinkedServiceJobs","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkedServiceJobsSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkedServiceJobsPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"List linked service jobs (search)","tags":["Services (Operations)"]}}}}
```

## List service containers

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Gets service containers filtered

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read operative service jobs.","name":"Services (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ServiceContainers":{"properties":{"serviceContainers":{"items":{"$ref":"#/components/schemas/ServiceContainer"},"maxItems":500,"type":"array"},"total":{"description":"Total number of found entities for this query","type":"integer"}},"type":"object","title":"ServiceContainers","description":"ServiceContainers"},"ServiceContainer":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"customAttributes":{"description":"Attributes that can be added to this container. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","nullable":true,"type":"object"},"description":{"description":"Translated name, filled on request based on descriptionLocalized.","type":"string"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"facilityRef":{"description":"Id of the facility this container is used in.","type":"string"},"iconUrl":{"description":"URL to an icon representing this container type, derived from referenced operative container type.","type":"string"},"id":{"description":"The id of this entity. It is generated during creation automatically and suits as the primary identifier of the described entity.","type":"string"},"lineItems":{"items":{"$ref":"#/components/schemas/ServiceContainerLineItem"},"maxItems":50,"type":"array"},"name":{"description":"Translated description, filled on request based on descriptionLocalized.","type":"string"},"operativeContainerTypeRef":{"description":"Reference to the operative container type this container is based on.","type":"string"},"scannableCodes":{"items":{"description":"Codes that can be used for scanning this container.","type":"string"},"maxItems":50,"type":"array"},"serviceJobRefs":{"description":"Ids of the ServiceJobs this container belongs to.","items":{"type":"string"},"maxItems":50,"type":"array"},"stackRef":{"description":"Reference to related stack","type":"string"},"storageLocationRef":{"description":"Id of the storage location this container is located at.","type":"string"},"type":{"$ref":"#/components/schemas/ServiceContainerType"},"weightLimitInG":{"description":"Weight limit of the container in grams, derived from referenced operative container type.","type":"number"}},"required":["id","facilityRef","serviceJobRefs","type","lineItems"],"type":"object","title":"ServiceContainer","description":"ServiceContainer"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"ContainerDimensions":{"additionalProperties":false,"properties":{"heightInCm":{"description":"The height of the container (in cm)","type":"number"},"lengthInCm":{"description":"The length of the container (in cm)","type":"number"},"weightInG":{"description":"The weight of the container (in g)","type":"number"},"widthInCm":{"description":"The width of the container (in cm)","type":"number"}},"type":"object","title":"ContainerDimensions","description":"ContainerDimensions"},"ServiceContainerLineItem":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/MandatoryLineItem"}],"properties":{"article":{"$ref":"#/components/schemas/LineItemArticle"},"globalLineItemId":{"description":"Cross-entity identifier linking this line item back to the originating pick line item.","type":"string"},"id":{"description":"The id of this line item. It is generated during creation automatically and suits as the primary identifier of the described entity.","type":"string"},"measurementUnitKey":{"description":"Measurement unit key of the item, for example \"pcs\" or \"kg\"","type":"string"},"originId":{"description":"The id of the line item this line item was originated from, before any split has happened. This can be used to restore the ‘pre-split’ status.","nullable":true,"type":"string"},"quantity":{"description":"Quantity of the items","minimum":1,"type":"integer"},"recordableAttributes":{"items":{"$ref":"#/components/schemas/RecordableAttribute"},"maxItems":50,"type":"array"},"secondaryMeasurementUnitKey":{"description":"Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram","type":"string"},"secondaryQuantity":{"description":"Secondary quantity of the items, e.g. quantity is the count and secondaryQuantity is the weight","type":"number"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":50,"type":"array"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"maxItems":50,"type":"array"}},"required":["id","article","quantity","globalLineItemId"],"type":"object","title":"ServiceContainerLineItem","description":"ServiceContainerLineItem"},"MandatoryLineItem":{"properties":{"article":{"description":"information about the lineItem","type":"object"},"customAttributes":{"description":"Attributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities.","type":"string"},"id":{"description":"id of the recordable attribute","type":"string"},"quantity":{"description":"The quantity of the lineItem","type":"number"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/RecordableAttribute"},"type":"array"},"scannableCodes":{"description":"Codes that can be used for scanning this lineItem","items":{"type":"string"},"type":"array"}},"required":["id","article","quantity"],"title":"MandatoryLineItem","type":"object","description":"MandatoryLineItem"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"id of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The id of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"LineItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"description":"Attributes are used in the fulfillmenttools platform in order to impose a certain degree of customization to a process, such as improving the appearance in the platform and clients. Details about usage can be found <a href=\\\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes\">here</a>","items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"type":"array"},"customAttributes":{"deprecated":true,"description":"deprecated: use customAttributes on lineItem instead.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Please make sure that no authentication is required to fetch the image!","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"weight value is in gram","minimum":0,"type":"number"}},"required":["title","tenantArticleId"],"title":"LineItemArticle","type":"object","description":"LineItemArticle"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by OCFF to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout our platform. For a complete list of possible categories\nand the correct use of those please refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear for example in the App directly under the title.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1,"type":"string"},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, e.g. priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of OCFF. Default\nValue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"ServiceContainerType":{"enum":["VIRTUAL","PHYSICAL"],"type":"string","title":"ServiceContainerType","description":"ServiceContainerType"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/servicecontainers":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Gets service containers filtered","operationId":"getServiceContainers","parameters":[{"description":"all entities after given Id","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"number of entities to show","in":"query","name":"size","required":false,"schema":{"default":25,"maximum":500,"type":"integer"}},{"description":"Reference of the facility you want to filter for","in":"query","name":"facilityRefs","required":false,"schema":{"items":{"type":"string"},"maxItems":50,"type":"array"}},{"description":"Reference of the service job you want to filter for","in":"query","name":"serviceJobRef","required":false,"schema":{"type":"string"}},{"description":"sorting for the results","in":"query","name":"orderBy","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceContainers"}}},"description":"Service Jobs could be found in response body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List service containers","tags":["Services (Operations)"]}}}}
```

## Create service container

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Creates a service container

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read operative service jobs.","name":"Services (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ServiceContainerForCreation":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"customAttributes":{"description":"Attributes that can be added to the service job. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","type":"object"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"iconUrl":{"description":"URL to an icon representing this container type.","type":"string"},"lineItems":{"items":{"$ref":"#/components/schemas/ServiceContainerLineItemForCreation"},"maxItems":50,"type":"array"},"operativeContainerTypeRef":{"description":"Reference to the operative container type this container is based on.","type":"string"},"scannableCodes":{"items":{"description":"Codes that can be used for scanning this container.","type":"string"},"maxItems":50,"type":"array"},"serviceJobRefs":{"description":"Ids of the ServiceJobs this container belongs to.","items":{"type":"string"},"maxItems":50,"type":"array"},"stackRef":{"description":"Reference to related stack","type":"string"},"storageLocationRef":{"description":"Id of the storage location this container is located at.","type":"string"},"weightLimitInG":{"description":"Weight limit of the container in grams.","type":"number"}},"required":["serviceJobRefs","lineItems"],"type":"object","title":"ServiceContainerForCreation","description":"ServiceContainerForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"ContainerDimensions":{"additionalProperties":false,"properties":{"heightInCm":{"description":"The height of the container (in cm)","type":"number"},"lengthInCm":{"description":"The length of the container (in cm)","type":"number"},"weightInG":{"description":"The weight of the container (in g)","type":"number"},"widthInCm":{"description":"The width of the container (in cm)","type":"number"}},"type":"object","title":"ContainerDimensions","description":"ContainerDimensions"},"ServiceContainerLineItemForCreation":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/MandatoryLineItemForCreation"}],"properties":{"article":{"$ref":"#/components/schemas/LineItemArticle"},"measurementUnitKey":{"description":"Measurement unit key of the item, for example \"pcs\" or \"kg\"","type":"string"},"originId":{"description":"The id of the line item this line item was originated from, before any split has happened.","type":"string"},"quantity":{"description":"The quantity of the lineItem","type":"number"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/RecordableAttributeForCreation"},"maxItems":50,"type":"array"},"secondaryMeasurementUnitKey":{"description":"Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram","type":"string"},"secondaryQuantity":{"description":"secondary quantity of this item, E.g. quantity is the count and secondaryQuantity is the weight","type":"number"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":50,"type":"array"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"maxItems":50,"type":"array"}},"required":["article","quantity"],"type":"object","title":"ServiceContainerLineItemForCreation","description":"ServiceContainerLineItemForCreation"},"MandatoryLineItemForCreation":{"properties":{"article":{"description":"information about the lineItem","type":"object"},"customAttributes":{"description":"Attributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities.","type":"string"},"quantity":{"description":"The quantity of the lineItem","type":"number"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/RecordableAttributeForCreation"},"type":"array"},"scannableCodes":{"description":"Codes that can be used for scanning this lineItem","items":{"type":"string"},"type":"array"}},"required":["article","quantity"],"title":"MandatoryLineItemForCreation","type":"object","description":"MandatoryLineItemForCreation"},"RecordableAttributeForCreation":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","nullable":true,"type":"string"}},"required":["keyLocalized","recordingRule"],"title":"RecordableAttributeForCreation","type":"object","description":"RecordableAttributeForCreation"},"LineItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"description":"Attributes are used in the fulfillmenttools platform in order to impose a certain degree of customization to a process, such as improving the appearance in the platform and clients. Details about usage can be found <a href=\\\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes\">here</a>","items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"type":"array"},"customAttributes":{"deprecated":true,"description":"deprecated: use customAttributes on lineItem instead.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Please make sure that no authentication is required to fetch the image!","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"weight value is in gram","minimum":0,"type":"number"}},"required":["title","tenantArticleId"],"title":"LineItemArticle","type":"object","description":"LineItemArticle"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by OCFF to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout our platform. For a complete list of possible categories\nand the correct use of those please refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear for example in the App directly under the title.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1,"type":"string"},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, e.g. priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of OCFF. Default\nValue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"ServiceContainer":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"customAttributes":{"description":"Attributes that can be added to this container. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","nullable":true,"type":"object"},"description":{"description":"Translated name, filled on request based on descriptionLocalized.","type":"string"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"facilityRef":{"description":"Id of the facility this container is used in.","type":"string"},"iconUrl":{"description":"URL to an icon representing this container type, derived from referenced operative container type.","type":"string"},"id":{"description":"The id of this entity. It is generated during creation automatically and suits as the primary identifier of the described entity.","type":"string"},"lineItems":{"items":{"$ref":"#/components/schemas/ServiceContainerLineItem"},"maxItems":50,"type":"array"},"name":{"description":"Translated description, filled on request based on descriptionLocalized.","type":"string"},"operativeContainerTypeRef":{"description":"Reference to the operative container type this container is based on.","type":"string"},"scannableCodes":{"items":{"description":"Codes that can be used for scanning this container.","type":"string"},"maxItems":50,"type":"array"},"serviceJobRefs":{"description":"Ids of the ServiceJobs this container belongs to.","items":{"type":"string"},"maxItems":50,"type":"array"},"stackRef":{"description":"Reference to related stack","type":"string"},"storageLocationRef":{"description":"Id of the storage location this container is located at.","type":"string"},"type":{"$ref":"#/components/schemas/ServiceContainerType"},"weightLimitInG":{"description":"Weight limit of the container in grams, derived from referenced operative container type.","type":"number"}},"required":["id","facilityRef","serviceJobRefs","type","lineItems"],"type":"object","title":"ServiceContainer","description":"ServiceContainer"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ServiceContainerLineItem":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/MandatoryLineItem"}],"properties":{"article":{"$ref":"#/components/schemas/LineItemArticle"},"globalLineItemId":{"description":"Cross-entity identifier linking this line item back to the originating pick line item.","type":"string"},"id":{"description":"The id of this line item. It is generated during creation automatically and suits as the primary identifier of the described entity.","type":"string"},"measurementUnitKey":{"description":"Measurement unit key of the item, for example \"pcs\" or \"kg\"","type":"string"},"originId":{"description":"The id of the line item this line item was originated from, before any split has happened. This can be used to restore the ‘pre-split’ status.","nullable":true,"type":"string"},"quantity":{"description":"Quantity of the items","minimum":1,"type":"integer"},"recordableAttributes":{"items":{"$ref":"#/components/schemas/RecordableAttribute"},"maxItems":50,"type":"array"},"secondaryMeasurementUnitKey":{"description":"Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram","type":"string"},"secondaryQuantity":{"description":"Secondary quantity of the items, e.g. quantity is the count and secondaryQuantity is the weight","type":"number"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":50,"type":"array"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"maxItems":50,"type":"array"}},"required":["id","article","quantity","globalLineItemId"],"type":"object","title":"ServiceContainerLineItem","description":"ServiceContainerLineItem"},"MandatoryLineItem":{"properties":{"article":{"description":"information about the lineItem","type":"object"},"customAttributes":{"description":"Attributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities.","type":"string"},"id":{"description":"id of the recordable attribute","type":"string"},"quantity":{"description":"The quantity of the lineItem","type":"number"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/RecordableAttribute"},"type":"array"},"scannableCodes":{"description":"Codes that can be used for scanning this lineItem","items":{"type":"string"},"type":"array"}},"required":["id","article","quantity"],"title":"MandatoryLineItem","type":"object","description":"MandatoryLineItem"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"id of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The id of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"ServiceContainerType":{"enum":["VIRTUAL","PHYSICAL"],"type":"string","title":"ServiceContainerType","description":"ServiceContainerType"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/servicecontainers":{"post":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Creates a service container","operationId":"createServiceContainer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceContainerForCreation"}}},"description":"Desired service container to create","required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceContainer"}}},"description":"The service container was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Create service container","tags":["Services (Operations)"]}}}}
```

## Get service container by id

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Gets service container by id

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read operative service jobs.","name":"Services (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ServiceContainer":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"customAttributes":{"description":"Attributes that can be added to this container. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","nullable":true,"type":"object"},"description":{"description":"Translated name, filled on request based on descriptionLocalized.","type":"string"},"dimensions":{"$ref":"#/components/schemas/ContainerDimensions"},"facilityRef":{"description":"Id of the facility this container is used in.","type":"string"},"iconUrl":{"description":"URL to an icon representing this container type, derived from referenced operative container type.","type":"string"},"id":{"description":"The id of this entity. It is generated during creation automatically and suits as the primary identifier of the described entity.","type":"string"},"lineItems":{"items":{"$ref":"#/components/schemas/ServiceContainerLineItem"},"maxItems":50,"type":"array"},"name":{"description":"Translated description, filled on request based on descriptionLocalized.","type":"string"},"operativeContainerTypeRef":{"description":"Reference to the operative container type this container is based on.","type":"string"},"scannableCodes":{"items":{"description":"Codes that can be used for scanning this container.","type":"string"},"maxItems":50,"type":"array"},"serviceJobRefs":{"description":"Ids of the ServiceJobs this container belongs to.","items":{"type":"string"},"maxItems":50,"type":"array"},"stackRef":{"description":"Reference to related stack","type":"string"},"storageLocationRef":{"description":"Id of the storage location this container is located at.","type":"string"},"type":{"$ref":"#/components/schemas/ServiceContainerType"},"weightLimitInG":{"description":"Weight limit of the container in grams, derived from referenced operative container type.","type":"number"}},"required":["id","facilityRef","serviceJobRefs","type","lineItems"],"type":"object","title":"ServiceContainer","description":"ServiceContainer"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"ContainerDimensions":{"additionalProperties":false,"properties":{"heightInCm":{"description":"The height of the container (in cm)","type":"number"},"lengthInCm":{"description":"The length of the container (in cm)","type":"number"},"weightInG":{"description":"The weight of the container (in g)","type":"number"},"widthInCm":{"description":"The width of the container (in cm)","type":"number"}},"type":"object","title":"ContainerDimensions","description":"ContainerDimensions"},"ServiceContainerLineItem":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/MandatoryLineItem"}],"properties":{"article":{"$ref":"#/components/schemas/LineItemArticle"},"globalLineItemId":{"description":"Cross-entity identifier linking this line item back to the originating pick line item.","type":"string"},"id":{"description":"The id of this line item. It is generated during creation automatically and suits as the primary identifier of the described entity.","type":"string"},"measurementUnitKey":{"description":"Measurement unit key of the item, for example \"pcs\" or \"kg\"","type":"string"},"originId":{"description":"The id of the line item this line item was originated from, before any split has happened. This can be used to restore the ‘pre-split’ status.","nullable":true,"type":"string"},"quantity":{"description":"Quantity of the items","minimum":1,"type":"integer"},"recordableAttributes":{"items":{"$ref":"#/components/schemas/RecordableAttribute"},"maxItems":50,"type":"array"},"secondaryMeasurementUnitKey":{"description":"Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram","type":"string"},"secondaryQuantity":{"description":"Secondary quantity of the items, e.g. quantity is the count and secondaryQuantity is the weight","type":"number"},"stickers":{"items":{"$ref":"#/components/schemas/Sticker"},"maxItems":50,"type":"array"},"tags":{"items":{"$ref":"#/components/schemas/TagReference"},"maxItems":50,"type":"array"}},"required":["id","article","quantity","globalLineItemId"],"type":"object","title":"ServiceContainerLineItem","description":"ServiceContainerLineItem"},"MandatoryLineItem":{"properties":{"article":{"description":"information about the lineItem","type":"object"},"customAttributes":{"description":"Attributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities.","type":"string"},"id":{"description":"id of the recordable attribute","type":"string"},"quantity":{"description":"The quantity of the lineItem","type":"number"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/RecordableAttribute"},"type":"array"},"scannableCodes":{"description":"Codes that can be used for scanning this lineItem","items":{"type":"string"},"type":"array"}},"required":["id","article","quantity"],"title":"MandatoryLineItem","type":"object","description":"MandatoryLineItem"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"id of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The id of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"LineItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"description":"Attributes are used in the fulfillmenttools platform in order to impose a certain degree of customization to a process, such as improving the appearance in the platform and clients. Details about usage can be found <a href=\\\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes\">here</a>","items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"type":"array"},"customAttributes":{"deprecated":true,"description":"deprecated: use customAttributes on lineItem instead.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Please make sure that no authentication is required to fetch the image!","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"weight value is in gram","minimum":0,"type":"number"}},"required":["title","tenantArticleId"],"title":"LineItemArticle","type":"object","description":"LineItemArticle"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by OCFF to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout our platform. For a complete list of possible categories\nand the correct use of those please refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear for example in the App directly under the title.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1,"type":"string"},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, e.g. priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of OCFF. Default\nValue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"Sticker":{"additionalProperties":false,"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString","description":"Dictionary of possible translations, min 1 entry, max 14 characters per description"},"color":{"description":"optional color coding for the sticker","type":"string"},"key":{"description":"unique identifier","type":"string"},"name":{"description":"Translated display name","type":"string"},"priority":{"description":"priority of the given sticker","format":"int64","maximum":10000,"minimum":1,"type":"integer"}},"required":["key","nameLocalized","priority"],"title":"Sticker","description":"Sticker"},"TagReference":{"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["value","id"],"title":"TagReference","description":"TagReference"},"ServiceContainerType":{"enum":["VIRTUAL","PHYSICAL"],"type":"string","title":"ServiceContainerType","description":"ServiceContainerType"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/servicecontainers/{serviceContainerId}":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Gets service container by id","operationId":"getServiceContainerById","parameters":[{"description":"ID of the service container to retrieve","in":"path","name":"serviceContainerId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceContainer"}}},"description":"Service container for the given id."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get service container by id","tags":["Services (Operations)"]}}}}
```

## Delete service container

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Deletes service container by id

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read operative service jobs.","name":"Services (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/servicecontainers/{serviceContainerId}":{"delete":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Deletes service container by id","operationId":"deleteServiceContainer","parameters":[{"description":"ID of the service container to delete","in":"path","name":"serviceContainerId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The service container was successfully deleted."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Delete service container","tags":["Services (Operations)"]}}}}
```

## List service jobs

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read operative service jobs.","name":"Services (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ServiceJobFilterChannel":{"enum":["COLLECT","SHIPPING"],"type":"string","xml":{"name":"ServiceJobFilterChannel"},"title":"ServiceJobFilterChannel","description":"ServiceJobFilterChannel"},"ServiceJobs":{"properties":{"serviceJobs":{"items":{"$ref":"#/components/schemas/ServiceJobWithSearchPaths"},"type":"array"},"total":{"description":"Total number of found entities for this query","type":"integer"}},"type":"object","title":"ServiceJobs","description":"ServiceJobs"},"ServiceJobWithSearchPaths":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/ServiceJob"}],"properties":{"searchPaths":{"items":{"type":"string"},"type":"array"}},"required":["searchPaths"],"title":"ServiceJobWithSearchPaths","description":"ServiceJobWithSearchPaths"},"ServiceJob":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"additionalInformation":{"items":{"$ref":"#/components/schemas/ServiceJobAdditionalInformation"},"type":"array"},"anonymized":{"description":"Indicates if gdpr related data was anonymized","type":"boolean"},"assignedUsers":{"description":"Assigned users for this entity","items":{"$ref":"#/components/schemas/AssignedUser"},"type":"array"},"customAttributes":{"description":"Attributes that can be added to the service job. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","type":"object"},"customServiceRef":{"description":"Id of the customService this ServiceJob was created from.","type":"string"},"description":{"type":"string"},"editor":{"$ref":"#/components/schemas/Editor"},"executionTimeInMin":{"type":"integer"},"facilityRef":{"type":"string"},"id":{"type":"string"},"inheritedLineItems":{"deprecated":true,"description":"deprecated: use availableLineItems on ServiceData instead","items":{"$ref":"#/components/schemas/InheritedServiceJobLineItem"},"type":"array"},"itemsRequired":{"$ref":"#/components/schemas/ItemsRequiredEnum"},"itemsReturnable":{"type":"boolean"},"lineItems":{"items":{"$ref":"#/components/schemas/ServiceJobLineItem"},"minItems":1,"type":"array"},"linkedServiceJobsRef":{"description":"ID of the Linked Service Job, the Service Job should reference.","type":"string"},"name":{"type":"string"},"operativeProcessRef":{"type":"string"},"processRef":{"type":"string"},"requiredLineItems":{"description":"Information about the items that are required","items":{"$ref":"#/components/schemas/RequiredLineItem"},"type":"array"},"shortId":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceJobStatus"},"statusInformation":{"$ref":"#/components/schemas/ServiceJobStatusInformation"},"subStatus":{"$ref":"#/components/schemas/ServiceJobSubStatus"},"targetTime":{"description":"At which time the service job is expected to be finished.","format":"date-time","type":"string"},"tenantCustomServiceId":{"description":"Tenant Id of the customService this ServiceJob was created from.","type":"string"},"tenantOrderId":{"description":"ID of the tenant order, the linked service jobs are part of","type":"string"}},"required":["id","lineItems","processRef","status","nameLocalized","itemsRequired","facilityRef","targetTime","customServiceRef"],"title":"ServiceJob","description":"ServiceJob"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"ServiceJobAdditionalInformation":{"allOf":[{"$ref":"#/components/schemas/AdditionalInformation"}],"properties":{"value":{"anyOf":[{"type":"string"},{"type":"number"},{"type":"boolean"}],"description":"Value of the additional information"}},"type":"object","title":"ServiceJobAdditionalInformation","description":"ServiceJobAdditionalInformation"},"AdditionalInformation":{"allOf":[{"$ref":"#/components/schemas/AdditionalInformationForCreation"}],"properties":{"description":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"}},"required":["id"],"type":"object","title":"AdditionalInformation","description":"AdditionalInformation"},"AdditionalInformationForCreation":{"additionalProperties":false,"properties":{"descriptionLocalized":{"$ref":"#/components/schemas/LocaleString"},"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"isMandatory":{"type":"boolean"},"tenantAdditionalInformationId":{"description":"Id to identifiy the additional information on an external system. Must be unique per CustomService.","minLength":1,"type":"string"},"valueType":{"$ref":"#/components/schemas/AdditionalInformationValueType"}},"required":["nameLocalized","valueType"],"type":"object","title":"AdditionalInformationForCreation","description":"AdditionalInformationForCreation"},"AdditionalInformationValueType":{"enum":["STRING","BOOLEAN","NUMBER","NOVALUE","INPUT_MULTILINE_STRING"],"type":"string","title":"AdditionalInformationValueType","description":"AdditionalInformationValueType"},"AssignedUser":{"properties":{"userId":{"description":"ID of the user who is assigned","type":"string"},"username":{"description":"username of the user who is assigned","type":"string"}},"required":["username","userId"],"type":"object","title":"AssignedUser","description":"AssignedUser"},"Editor":{"properties":{"userId":{"description":"ID of the user who edits the pickjob","type":"string"},"username":{"description":"username of the user who edits the pickjob","type":"string"}},"required":["username"],"type":"object","title":"Editor","description":"Editor"},"InheritedServiceJobLineItem":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/MandatoryLineItem"}],"properties":{"article":{"$ref":"#/components/schemas/ServiceJobLineItemArticle"},"id":{"type":"string"},"quantity":{"description":"Quantity of the items","minimum":1,"type":"integer"},"serviceJob
[...]
